## zaqar 2.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0

Babel>=1.3 # BSD
falcon>=0.1.6 # Apache-2.0
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
iso8601>=0.1.9 # MIT
keystonemiddleware!=4.1.0,>=4.0.0 # Apache-2.0
msgpack-python>=0.4.0 # Apache-2.0
python-memcached>=1.56 # PSF
WebOb>=1.2.3 # MIT
stevedore>=1.5.0 # Apache-2.0
six>=1.9.0 # MIT
oslo.cache>=1.5.0 # Apache-2.0
oslo.config>=3.7.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
SQLAlchemy<1.1.0,>=1.0.10 # MIT
enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
trollius>=1.0 # Apache-2.0
autobahn>=0.10.1 # MIT License
requests!=2.9.0,>=2.8.1 # Apache-2.0
futurist>=0.11.0 # Apache-2.0

=== debian/changelog ===
zaqar (2.0.0-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * 

 -- Thomas Goirand <zigo@debian.org>  Tue, 31 May 2016 02:17:24 +0000

zaqar (2.0.0-2) unstable; urgency=medium

  * Updated Portuguese translation for debconf messages (Closes: #821246).
  * Updated Japanese debconf templates (Closes: #820757).
  * Updated Dutch debconf templates (Closes: #823441).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 May 2016 11:37:45 +0200

zaqar (2.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 Apr 2016 22:09:18 +0200

zaqar (2.0.0~rc2-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2016 13:23:40 +0200

zaqar (2.0.0~rc1-2) experimental; urgency=medium

  * Do not use Keystone admin auth token to register API endpoints.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Mar 2016 13:59:21 +0000

zaqar (2.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Mar 2016 16:01:24 +0100

zaqar (2.0.0~b3-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version: 3.9.7 (no change).
  * Black list unit test failing with python-websocket 0.18.0:
    SubscriptionTest.test_subscription_sustainable_notifications_format.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Mar 2016 10:34:58 +0100

zaqar (2.0.0~b2-2) experimental; urgency=medium

  * Updated nl.po debconf translation (Closes: #812350).
  * VCS fields using HTTPS URLs.

 -- Thomas Goirand <zigo@debian.org>  Sat, 06 Feb 2016 13:09:49 +0800

zaqar (2.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed config file generation namespaces.
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Dec 2015 15:46:17 +0100

zaqar (1.0.0-6) unstable; urgency=medium

  * Added French templates translation update (Closes: #805397).
  * Same for Portuguese (Closes: #805426).
  * Same for Dutch (Closes: #805467).

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Dec 2015 10:24:45 +0100

zaqar (1.0.0-5) unstable; urgency=medium

  * Imported .po files from Cinder, ran debconf-poupdate, replaced cinder by
    zaqar and unfuzzied strings (Closes: #801920).
  * Added pt.po debconf translation (Closes: #802425).

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Nov 2015 09:38:53 +0100

zaqar (1.0.0-4) unstable; urgency=medium

  * Added q-text-as-data in depends of zaqar-server.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Nov 2015 11:59:41 +0000

zaqar (1.0.0-3) unstable; urgency=medium

  * Rebuilt with openstack-pkg-tools 37 to use Keystone API v3.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Nov 2015 09:15:44 +0000

zaqar (1.0.0-2) unstable; urgency=medium

  * Correctly rm remainings on purge (Closes: #802531).

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 12:19:26 +0000

zaqar (1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Removed patches applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Sep 2015 18:25:29 +0200

zaqar (1.0.0~b3+2015.09.15.git45.5a332eadbf-1) unstable; urgency=medium

  * Initial release. (Closes: #787182)

 -- Thomas Goirand <zigo@debian.org>  Tue, 21 Apr 2015 10:23:04 +0200

=== debian/control ===
Source: zaqar
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 40~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: mongodb,
                     python-autobahn (>= 0.10.1),
                     python-babel,
                     python-coverage,
                     python-ddt (>= 1.0.1),
                     python-enum34,
                     python-falcon,
                     python-fixtures (>= 1.3.1),
                     python-futurist (>= 0.11.0),
                     python-hacking (>= 0.10.0),
                     python-iso8601,
                     python-jsonschema,
                     python-keystoneclient (>= 1:1.6.0),
                     python-keystonemiddleware (>= 4.0.0),
                     python-memcache (>= 1.56),
                     python-mock (>= 1.3),
                     python-msgpack,
                     python-openstack-doc-tools (>= 0.23),
                     python-oslo.cache (>= 1.5.0),
                     python-oslo.config (>= 1:3.7.0),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 2.0.0),
                     python-oslo.policy (>= 0.5.0),
                     python-oslo.serialization (>= 2.0.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-pymongo (>= 3.0.2),
                     python-redis,
                     python-requests (>= 2.8.1),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.5.0),
                     python-tempest-lib (>= 0.14.0),
                     python-testtools (>= 1.4.0),
                     python-trollius,
                     python-webob,
                     python-websocket,
                     subunit,
                     testrepository,
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/zaqar.git;a=summary
Vcs-Git: https://anonscm.debian.org/git/openstack/zaqar.git
Homepage: https://github.com/openstack/zaqar/

Package: python-zaqar
Section: python
Architecture: all
Depends: python-autobahn (>= 0.10.1),
         python-babel,
         python-enum34,
         python-falcon,
         python-futurist (>= 0.11.0),
         python-iso8601,
         python-jsonschema,
         python-keystonemiddleware (>= 4.0.0),
         python-memcache (>= 1.56),
         python-msgpack,
         python-oslo.cache (>= 1.5.0),
         python-oslo.config (>= 1:3.7.0),
         python-oslo.context (>= 0.2.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 2.0.0),
         python-oslo.policy (>= 0.5.0),
         python-oslo.serialization (>= 2.0.0),
         python-oslo.utils (>= 3.5.0),
         python-pbr (>= 1.8),
         python-requests (>= 2.8.1),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.5.0),
         python-trollius,
         python-webob,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack Queueing as a Service - Python libraries
 Zaqar is a multi-tenant cloud messaging service for web developers. It
 combines the ideas pioneered by Amazon's SQS product with additional semantics
 to support event broadcasting.
 .
 The service features a fully RESTful API, which developers can use to send
 messages between various components of their SaaS and mobile applications, by
 using a variety of communication patterns. Underlying this API is an efficient
 messaging engine designed with scalability and security in mind.
 .
 Other OpenStack components can integrate with Zaqar to surface events to end
 users and to communicate with guest agents that run in the "over-cloud" layer.
 Cloud operators can leverage Zaqar to provide equivalents of SQS and SNS to
 their customers.
 .
 By installing python-zaqarclient you get programmatic access to the Zaqar v1.0
 API library. Plus, it installs a plugin to python-openstackclient that allows
 you to perform simple queue operations.
 .
 This package contains the Python libraries that are part of Zaqar.

Package: zaqar-common
Architecture: all
Depends: adduser,
         dbconfig-common,
         debconf,
         python-zaqar (= ${binary:Version}),
         sqlite3,
         ${misc:Depends},
         ${python:Depends}
Provides: ${python:Provides}
Description: OpenStack Queueing as a Service - common files
 Zaqar is a multi-tenant cloud messaging service for web developers. It
 combines the ideas pioneered by Amazon's SQS product with additional semantics
 to support event broadcasting.
 .
 The service features a fully RESTful API, which developers can use to send
 messages between various components of their SaaS and mobile applications, by
 using a variety of communication patterns. Underlying this API is an efficient
 messaging engine designed with scalability and security in mind.
 .
 Other OpenStack components can integrate with Zaqar to surface events to end
 users and to communicate with guest agents that run in the "over-cloud" layer.
 Cloud operators can leverage Zaqar to provide equivalents of SQS and SNS to
 their customers.
 .
 By installing python-zaqarclient you get programmatic access to the Zaqar v1.0
 API library. Plus, it installs a plugin to python-openstackclient that allows
 you to perform simple queue operations.
 .
 This package contains common files and configuration that are
 needed by all the daemon packages of Zaqar.

Package: zaqar-server
Architecture: all
Depends: adduser,
         zaqar-common (= ${binary:Version}),
         debconf,
         python-keystoneclient,
         q-text-as-data,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: OpenStack Queueing as a Service - API server
 Zaqar is a multi-tenant cloud messaging service for web developers. It
 combines the ideas pioneered by Amazon's SQS product with additional semantics
 to support event broadcasting.
 .
 The service features a fully RESTful API, which developers can use to send
 messages between various components of their SaaS and mobile applications, by
 using a variety of communication patterns. Underlying this API is an efficient
 messaging engine designed with scalability and security in mind.
 .
 Other OpenStack components can integrate with Zaqar to surface events to end
 users and to communicate with guest agents that run in the "over-cloud" layer.
 Cloud operators can leverage Zaqar to provide equivalents of SQS and SNS to
 their customers.
 .
 By installing python-zaqarclient you get programmatic access to the Zaqar v1.0
 API library. Plus, it installs a plugin to python-openstackclient that allows
 you to perform simple queue operations.
 .
 This package contains the API server on which clients will connect.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

%:
	dh $@ --buildsystem=python_distutils --with python2,systemd

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		bash -x ./debian/setup-test-env-mongodb.sh testr-python$$PYMAJOR run --subunit 'zaqar\.tests\.unit\.(?!.*transport\.websocket\.v2\.test_subscriptions\.SubscriptionTest\.test_subscription_sustainable_notifications_format.*)' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_auto_build:
	dh_auto_build -O--buildsystem=python_distutils
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func zaqar-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func zaqar-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func zaqar-server.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func zaqar-server.postinst

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build \
		debian/zaqar-common.postinst \
		debian/zaqar-common.config \
		debian/zaqar-server.postinst \
		debian/zaqar-server.config \
		debian/*.service debian/*.init debian/*.upstart

override_dh_install:
	rm -rf $(CURDIR)/debian/tmp
	python2.7 setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp
	dh_install --fail-missing
	mkdir -p $(CURDIR)/debian/zaqar-common/usr/share/zaqar-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator --output-file $(CURDIR)/debian/zaqar-common/usr/share/zaqar-common/zaqar.conf \
		--namespace zaqar.bootstrap \
		--namespace zaqar.common.configs \
		--namespace zaqar.storage.pipeline \
		--namespace zaqar.storage.pooling \
		--namespace zaqar.storage.mongodb \
		--namespace zaqar.storage.redis \
		--namespace zaqar.storage.sqlalchemy \
		--namespace zaqar.transport.wsgi \
		--namespace zaqar.transport.base \
		--namespace zaqar.transport.validation \
		--namespace keystonemiddleware.auth_token

	for i in policy.json zaqar-benchmark.conf logging.conf ; do \
		cp etc/$$i.sample $(CURDIR)/debian/zaqar-common/usr/share/zaqar-common/$$i ; \
	done
	cp etc/zaqar-benchmark-messages.json $(CURDIR)/debian/zaqar-common/usr/share/zaqar-common

## zaqar 3.0.0~b2

=== debian/changelog ===
zaqar (3.0.0~b2-1+1~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Sat, 17 Sep 2016 19:36:32 +0000

zaqar (3.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 16 Jul 2016 17:14:56 +0200

zaqar (3.0.0~b1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 3.9.8 (no change).

 -- Thomas Goirand <zigo@debian.org>  Mon, 13 Jun 2016 16:52:37 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: extra
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
-Uploaders: Thomas Goirand <zigo@debian.org>
+Uploaders: Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
                dh-systemd,
@@ -14,46 +14,48 @@
                python-sphinx,
 Build-Depends-Indep: mongodb,
                      python-autobahn (>= 0.10.1),
-                     python-babel,
+                     python-babel (>= 2.3.4),
                      python-coverage,
                      python-ddt (>= 1.0.1),
                      python-enum34,
                      python-falcon,
-                     python-fixtures (>= 1.3.1),
+                     python-fixtures (>= 3.0.0),
                      python-futurist (>= 0.11.0),
                      python-hacking (>= 0.10.0),
-                     python-iso8601,
+                     python-iso8601 (>= 0.1.11),
                      python-jsonschema,
                      python-keystoneclient (>= 1:1.6.0),
                      python-keystonemiddleware (>= 4.0.0),
                      python-memcache (>= 1.56),
-                     python-mock (>= 1.3),
+                     python-mock (>= 2.0),
                      python-msgpack,
                      python-openstack-doc-tools (>= 0.23),
+                     python-openstackdocstheme (>= 1.0.3),
                      python-oslo.cache (>= 1.5.0),
-                     python-oslo.config (>= 1:3.7.0),
-                     python-oslo.context (>= 0.2.0),
+                     python-oslo.config (>= 1:3.10.0),
+                     python-oslo.context (>= 2.4.0),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.log (>= 2.0.0),
-                     python-oslo.policy (>= 0.5.0),
+                     python-oslo.policy (>= 1.9.0),
                      python-oslo.serialization (>= 2.0.0),
-                     python-oslo.utils (>= 3.5.0),
+                     python-oslo.utils (>= 3.15.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1.10.0),
                      python-pymongo (>= 3.0.2),
                      python-redis,
-                     python-requests (>= 2.8.1),
+                     python-requests (>= 2.10.0),
                      python-six (>= 1.9.0),
                      python-sqlalchemy (>= 1.0.10),
-                     python-stevedore (>= 1.5.0),
-                     python-tempest-lib (>= 0.14.0),
+                     python-stevedore (>= 1.10.0),
+                     python-tempest (>= 1:12.1.0),
                      python-testtools (>= 1.4.0),
                      python-trollius,
                      python-webob,
                      python-websocket,
                      subunit,
+                     tempest (>= 1:12.1.0),
                      testrepository,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/zaqar.git;a=summary
 Vcs-Git: https://anonscm.debian.org/git/openstack/zaqar.git
 Homepage: https://github.com/openstack/zaqar/
@@ -62,28 +64,28 @@
 Section: python
 Architecture: all
 Depends: python-autobahn (>= 0.10.1),
-         python-babel,
+         python-babel (>= 2.3.4),
          python-enum34,
          python-falcon,
          python-futurist (>= 0.11.0),
-         python-iso8601,
+         python-iso8601 (>= 0.1.11),
          python-jsonschema,
          python-keystonemiddleware (>= 4.0.0),
          python-memcache (>= 1.56),
          python-msgpack,
          python-oslo.cache (>= 1.5.0),
-         python-oslo.config (>= 1:3.7.0),
-         python-oslo.context (>= 0.2.0),
+         python-oslo.config (>= 1:3.10.0),
+         python-oslo.context (>= 2.4.0),
          python-oslo.i18n (>= 2.1.0),
          python-oslo.log (>= 2.0.0),
-         python-oslo.policy (>= 0.5.0),
+         python-oslo.policy (>= 1.9.0),
          python-oslo.serialization (>= 2.0.0),
-         python-oslo.utils (>= 3.5.0),
+         python-oslo.utils (>= 3.15.0),
          python-pbr (>= 1.8),
-         python-requests (>= 2.8.1),
+         python-requests (>= 2.10.0),
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 1.0.10),
-         python-stevedore (>= 1.5.0),
+         python-stevedore (>= 1.10.0),
          python-trollius,
          python-webob,
          ${misc:Depends},
@@ -117,8 +119,8 @@
          python-zaqar (= ${binary:Version}),
          sqlite3,
          ${misc:Depends},
-         ${python:Depends}
-Provides: ${python:Provides}
+         ${python:Depends},
+Provides: ${python:Provides},
 Description: OpenStack Queueing as a Service - common files
  Zaqar is a multi-tenant cloud messaging service for web developers. It
  combines the ideas pioneered by Amazon's SQS product with additional semantics
@@ -144,13 +146,13 @@
 Package: zaqar-server
 Architecture: all
 Depends: adduser,
-         zaqar-common (= ${binary:Version}),
          debconf,
          python-keystoneclient,
          q-text-as-data,
+         zaqar-common (= ${binary:Version}),
          ${misc:Depends},
          ${ostack-lsb-base},
-         ${python:Depends}
+         ${python:Depends},
 Description: OpenStack Queueing as a Service - API server
  Zaqar is a multi-tenant cloud messaging service for web developers. It
  combines the ideas pioneered by Amazon's SQS product with additional semantics

## zaqar 3.0.0~b3

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0

Babel>=2.3.4 # BSD
falcon>=0.1.6 # Apache-2.0
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
iso8601>=0.1.11 # MIT
keystonemiddleware!=4.1.0,!=4.5.0,>=4.0.0 # Apache-2.0
msgpack-python>=0.4.0 # Apache-2.0
python-memcached>=1.56 # PSF
WebOb>=1.2.3 # MIT
stevedore>=1.16.0 # Apache-2.0
six>=1.9.0 # MIT
oslo.cache>=1.5.0 # Apache-2.0
oslo.config>=3.12.0 # Apache-2.0
oslo.context!=2.6.0,>=2.4.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.15.0 # Apache-2.0
oslo.policy>=1.9.0 # Apache-2.0
SQLAlchemy<1.1.0,>=1.0.10 # MIT
enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
trollius>=1.0 # Apache-2.0
autobahn>=0.10.1 # MIT License
requests>=2.10.0 # Apache-2.0
futurist!=0.15.0,>=0.11.0 # Apache-2.0

=== debian/changelog ===
zaqar (3.0.0~b3-1+55~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 19 Sep 2016 13:25:03 +0000

zaqar (3.0.0~b3-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using OpenStack's Gerrit as VCS URLs.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Sep 2016 14:18:33 +0200

=== debian/control ===
--- 
+++ 
@@ -29,10 +29,9 @@
                      python-memcache (>= 1.56),
                      python-mock (>= 2.0),
                      python-msgpack,
-                     python-openstack-doc-tools (>= 0.23),
-                     python-openstackdocstheme (>= 1.0.3),
+                     python-openstackdocstheme (>= 1.4.0),
                      python-oslo.cache (>= 1.5.0),
-                     python-oslo.config (>= 1:3.10.0),
+                     python-oslo.config (>= 1:3.12.0),
                      python-oslo.context (>= 2.4.0),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.log (>= 2.0.0),
@@ -46,7 +45,7 @@
                      python-requests (>= 2.10.0),
                      python-six (>= 1.9.0),
                      python-sqlalchemy (>= 1.0.10),
-                     python-stevedore (>= 1.10.0),
+                     python-stevedore (>= 1.16.0),
                      python-tempest (>= 1:12.1.0),
                      python-testtools (>= 1.4.0),
                      python-trollius,
@@ -56,8 +55,8 @@
                      tempest (>= 1:12.1.0),
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/zaqar.git;a=summary
-Vcs-Git: https://anonscm.debian.org/git/openstack/zaqar.git
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-zaqar
+Vcs-Git: https://git.openstack.org/openstack/deb-zaqar
 Homepage: https://github.com/openstack/zaqar/
 
 Package: python-zaqar
@@ -74,7 +73,7 @@
          python-memcache (>= 1.56),
          python-msgpack,
          python-oslo.cache (>= 1.5.0),
-         python-oslo.config (>= 1:3.10.0),
+         python-oslo.config (>= 1:3.12.0),
          python-oslo.context (>= 2.4.0),
          python-oslo.i18n (>= 2.1.0),
          python-oslo.log (>= 2.0.0),
@@ -85,7 +84,7 @@
          python-requests (>= 2.10.0),
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 1.0.10),
-         python-stevedore (>= 1.10.0),
+         python-stevedore (>= 1.16.0),
          python-trollius,
          python-webob,
          ${misc:Depends},

## zaqar 3.0.0~rc1

=== debian/changelog ===
zaqar (3.0.0~rc1-2+57~bpo8+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Build-Depends on openstack-pkg-tools >= 53~.
  * Fixed oslotest EPOCH.

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Sat, 01 Oct 2016 08:25:45 +0000

zaqar (3.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using OpenStack's Gerrit as VCS URLs.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Sep 2016 14:18:33 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 9),
                dh-python,
                dh-systemd,
-               openstack-pkg-tools (>= 40~),
+               openstack-pkg-tools (>= 53~),
                po-debconf,
                python-all,
                python-pbr (>= 1.8),
@@ -29,17 +29,17 @@
                      python-memcache (>= 1.56),
                      python-mock (>= 2.0),
                      python-msgpack,
-                     python-openstackdocstheme (>= 1.4.0),
+                     python-openstackdocstheme (>= 1.5.0),
                      python-oslo.cache (>= 1.5.0),
-                     python-oslo.config (>= 1:3.12.0),
-                     python-oslo.context (>= 2.4.0),
+                     python-oslo.config (>= 1:3.14.0),
+                     python-oslo.context (>= 2.9.0),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.log (>= 2.0.0),
                      python-oslo.policy (>= 1.9.0),
                      python-oslo.serialization (>= 2.0.0),
-                     python-oslo.utils (>= 3.15.0),
+                     python-oslo.utils (>= 3.16.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.10.0),
+                     python-oslotest (>= 1:1.10.0),
                      python-pymongo (>= 3.0.2),
                      python-redis,
                      python-requests (>= 2.10.0),
@@ -73,13 +73,13 @@
          python-memcache (>= 1.56),
          python-msgpack,
          python-oslo.cache (>= 1.5.0),
-         python-oslo.config (>= 1:3.12.0),
-         python-oslo.context (>= 2.4.0),
+         python-oslo.config (>= 1:3.14.0),
+         python-oslo.context (>= 2.9.0),
          python-oslo.i18n (>= 2.1.0),
          python-oslo.log (>= 2.0.0),
          python-oslo.policy (>= 1.9.0),
          python-oslo.serialization (>= 2.0.0),
-         python-oslo.utils (>= 3.15.0),
+         python-oslo.utils (>= 3.16.0),
          python-pbr (>= 1.8),
          python-requests (>= 2.10.0),
          python-six (>= 1.9.0),

## zaqar 3.0.0

=== requirements.txt ===
--- 
+++ 
@@ -14,12 +14,12 @@
 stevedore>=1.16.0 # Apache-2.0
 six>=1.9.0 # MIT
 oslo.cache>=1.5.0 # Apache-2.0
-oslo.config>=3.12.0 # Apache-2.0
-oslo.context!=2.6.0,>=2.4.0 # Apache-2.0
+oslo.config>=3.14.0 # Apache-2.0
+oslo.context>=2.9.0 # Apache-2.0
 oslo.i18n>=2.1.0 # Apache-2.0
 oslo.log>=1.14.0 # Apache-2.0
 oslo.serialization>=1.10.0 # Apache-2.0
-oslo.utils>=3.15.0 # Apache-2.0
+oslo.utils>=3.16.0 # Apache-2.0
 oslo.policy>=1.9.0 # Apache-2.0
 SQLAlchemy<1.1.0,>=1.0.10 # MIT
 enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD

=== debian/changelog ===
zaqar (3.0.0-6) unstable; urgency=medium

  * Danish translation of the debconf templates (Closes: #850877).

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Apr 2017 17:33:55 +0200

zaqar (3.0.0-5) unstable; urgency=medium

  * German debconf translation update (Closes: #842488).

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Apr 2017 18:17:30 +0200

zaqar (3.0.0-4) unstable; urgency=medium

  * Team upload.
  * Revert net-tools dependency.
  * Bump build dependency on openstack-pkg-tools (Closes: #858714).

 -- David Rabel <david.rabel@noresoft.com>  Sat, 01 Apr 2017 12:46:24 +0200

zaqar (3.0.0-3) unstable; urgency=medium

  * Team upload.
  * Add missing dependency net-tools (Closes: #858714)

 -- David Rabel <david.rabel@noresoft.com>  Sat, 25 Mar 2017 13:40:55 +0100

zaqar (3.0.0-2) unstable; urgency=medium

  * Team upload.
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields
  * Bumped debhelper compat version to 10
  * Added lsb-base to depends
  * Patch-out upper constraints of SQLAlchemy

 -- Ondřej Nový <onovy@debian.org>  Fri, 20 Jan 2017 12:05:36 +0100

zaqar (3.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 07 Oct 2016 02:15:48 +0200

zaqar (3.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Build-Depends on openstack-pkg-tools >= 53~.
  * Fixed oslotest EPOCH.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Sep 2016 10:21:24 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: extra
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                dh-systemd,
-               openstack-pkg-tools (>= 53~),
+               openstack-pkg-tools (>= 54~),
                po-debconf,
                python-all,
                python-pbr (>= 1.8),
@@ -55,8 +55,8 @@
                      tempest (>= 1:12.1.0),
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-zaqar
-Vcs-Git: https://git.openstack.org/openstack/deb-zaqar
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-zaqar?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-zaqar -b debian/newton
 Homepage: https://github.com/openstack/zaqar/
 
 Package: python-zaqar

## zaqar 4.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.8 # Apache-2.0

alembic>=0.8.10 # MIT
Babel>=2.3.4 # BSD
falcon>=0.1.6 # Apache-2.0
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
iso8601>=0.1.11 # MIT
keystonemiddleware>=4.12.0 # Apache-2.0
msgpack-python>=0.4.0 # Apache-2.0
python-memcached>=1.56 # PSF
WebOb>=1.6.0 # MIT
stevedore>=1.17.1 # Apache-2.0
six>=1.9.0 # MIT
oslo.cache>=1.5.0 # Apache-2.0
oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
oslo.context>=2.9.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=3.11.0 # Apache-2.0
oslo.messaging>=5.14.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
oslo.policy>=1.17.0 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
SQLAlchemy<1.1.0,>=1.0.10 # MIT
enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
trollius>=1.0 # Apache-2.0
autobahn>=0.10.1 # MIT License
requests!=2.12.2,>=2.10.0 # Apache-2.0
futurist!=0.15.0,>=0.11.0 # Apache-2.0

=== debian/changelog ===
zaqar (4.0.0-0ubuntu1) zesty; urgency=medium

  * New upstream release for OpenStack Ocata.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2017 09:18:55 -0500

zaqar (4.0.0~rc2-0ubuntu1) zesty; urgency=medium

  * New upstream miles for Ocata. 
  * d/control: Cleanup dependencies.
  * d/tests, d/control: Add dep8 tests.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 16 Feb 2017 08:35:57 -0500

zaqar (4.0.0~rc1-0ubuntu1) zesty; urgency=medium

  * New upstream milestone for Ocata.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 07 Feb 2017 10:41:39 -0500

zaqar (4.0.0~b3-0ubuntu2) zesty; urgency=medium

  * d/control: Add python-pymongo to Depends.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Feb 2017 11:04:07 -0500

zaqar (4.0.0~b3-0ubuntu1) zesty; urgency=medium

  * New upstream release. 
  * d/control: Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 30 Jan 2017 14:29:47 -0500

zaqar (4.0.0~b2-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * d/watch: Get tarball from openstack.org.
  * New upstream milestone for OpenStack Ocata.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Jan 2017 16:15:19 -0500

=== debian/control ===
--- 
+++ 
@@ -1,94 +1,106 @@
 Source: zaqar
 Section: net
 Priority: extra
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 9),
                dh-python,
                dh-systemd,
-               openstack-pkg-tools (>= 54~),
+               openstack-pkg-tools (>= 53~),
                po-debconf,
                python-all,
                python-pbr (>= 1.8),
                python-setuptools,
                python-sphinx,
 Build-Depends-Indep: mongodb,
+                     python-alembic (>= 0.8.4),
                      python-autobahn (>= 0.10.1),
                      python-babel (>= 2.3.4),
-                     python-coverage,
+                     python-coverage (>= 4.0),
                      python-ddt (>= 1.0.1),
                      python-enum34,
-                     python-falcon,
+                     python-falcon (>= 0.1.6),
                      python-fixtures (>= 3.0.0),
                      python-futurist (>= 0.11.0),
                      python-hacking (>= 0.10.0),
                      python-iso8601 (>= 0.1.11),
-                     python-jsonschema,
-                     python-keystoneclient (>= 1:1.6.0),
-                     python-keystonemiddleware (>= 4.0.0),
-                     python-memcache (>= 1.56),
+                     python-jsonschema (>= 2.0.0),
+                     python-keystonemiddleware (>= 4.12.0),
                      python-mock (>= 2.0),
                      python-msgpack,
                      python-openstackdocstheme (>= 1.5.0),
+                     python-os-api-ref (>= 1.0.0),
                      python-oslo.cache (>= 1.5.0),
                      python-oslo.config (>= 1:3.14.0),
                      python-oslo.context (>= 2.9.0),
+                     python-oslo.db (>= 4.15.0),
                      python-oslo.i18n (>= 2.1.0),
-                     python-oslo.log (>= 2.0.0),
-                     python-oslo.policy (>= 1.9.0),
-                     python-oslo.serialization (>= 2.0.0),
-                     python-oslo.utils (>= 3.16.0),
-                     python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1:1.10.0),
+                     python-oslo.log (>= 3.11.0),
+                     python-oslo.messaging (>= 5.14.0),
+                     python-oslo.policy (>= 1.17.0),
+                     python-oslo.serialization (>= 1.10.0),
+                     python-oslo.utils (>= 3.18.0),
+                     python-oslosphinx (>= 4.7.0),
+                     python-oslotest (>= 1.10.0),
+                     python-osprofiler (>= 1.4.0),
                      python-pymongo (>= 3.0.2),
-                     python-redis,
+                     python-memcache (>= 1.56),
+                     python-redis (>= 2.10.0),
                      python-requests (>= 2.10.0),
                      python-six (>= 1.9.0),
                      python-sqlalchemy (>= 1.0.10),
-                     python-stevedore (>= 1.16.0),
+                     python-stevedore (>= 1.17.1),
+                     python-swiftclient (>= 1:3.2.0),
                      python-tempest (>= 1:12.1.0),
+                     python-testrepository (>= 0.0.18),
+                     python-testresources (>= 0.2.4),
+                     python-testscenarios (>= 0.4),
                      python-testtools (>= 1.4.0),
-                     python-trollius,
-                     python-webob,
+                     python-trollius (>= 1.0),
+                     python-webob (>= 1.6.0),
                      python-websocket,
                      subunit,
-                     tempest (>= 1:12.1.0),
-                     testrepository,
+                     testrepository
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-zaqar?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-zaqar -b debian/newton
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/zaqar
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/zaqar
 Homepage: https://github.com/openstack/zaqar/
+XS-Testsuite: autopkgtest
 
 Package: python-zaqar
 Section: python
 Architecture: all
-Depends: python-autobahn (>= 0.10.1),
+Depends: python-alembic (>= 0.8.4),
+         python-autobahn (>= 0.10.1),
          python-babel (>= 2.3.4),
          python-enum34,
          python-falcon,
          python-futurist (>= 0.11.0),
          python-iso8601 (>= 0.1.11),
          python-jsonschema,
-         python-keystonemiddleware (>= 4.0.0),
-         python-memcache (>= 1.56),
+         python-keystonemiddleware (>= 4.2.0),
          python-msgpack,
          python-oslo.cache (>= 1.5.0),
          python-oslo.config (>= 1:3.14.0),
          python-oslo.context (>= 2.9.0),
          python-oslo.i18n (>= 2.1.0),
-         python-oslo.log (>= 2.0.0),
-         python-oslo.policy (>= 1.9.0),
+         python-oslo.log (>= 3.11.0),
+         python-oslo.messaging (>= 5.2.0),
+         python-oslo.policy (>= 1.17.0),
          python-oslo.serialization (>= 2.0.0),
-         python-oslo.utils (>= 3.16.0),
-         python-pbr (>= 1.8),
+         python-oslo.utils (>= 3.18.0),
+         python-osprofiler (>= 1.4.0),
+         python-pymongo (>= 3.0.2),
+         python-memcache (>= 1.56),
          python-requests (>= 2.10.0),
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 1.0.10),
-         python-stevedore (>= 1.16.0),
+         python-stevedore (>= 1.17.1),
          python-trollius,
-         python-webob,
+         python-webob (>= 1.6.0),
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Description: OpenStack Queueing as a Service - Python libraries
  Zaqar is a multi-tenant cloud messaging service for web developers. It
  combines the ideas pioneered by Amazon's SQS product with additional semantics
@@ -118,7 +130,7 @@
          python-zaqar (= ${binary:Version}),
          sqlite3,
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Provides: ${python:Provides},
 Description: OpenStack Queueing as a Service - common files
  Zaqar is a multi-tenant cloud messaging service for web developers. It
@@ -146,12 +158,11 @@
 Architecture: all
 Depends: adduser,
          debconf,
-         python-keystoneclient,
          q-text-as-data,
          zaqar-common (= ${binary:Version}),
          ${misc:Depends},
          ${ostack-lsb-base},
-         ${python:Depends},
+         ${python:Depends}
 Description: OpenStack Queueing as a Service - API server
  Zaqar is a multi-tenant cloud messaging service for web developers. It
  combines the ideas pioneered by Amazon's SQS product with additional semantics

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/zaqar zaqar-(\d.*)\.tar\.gz
